<?php
if( is_file( '../../anders2/lib/view/template.inc' ) ) {
	require_once( '../../anders2/lib/view/template.inc' );
} else {
	require_once( '../../../anders2/lib/view/template.inc' );
}

//	This JSON implementation should not be used in a real environment! We need PHP 5.20 for a proper JSON implementation.
function array2json( $arr ) {
	$myJson = "{";

	$count = 0;
	foreach( $arr as $k => $v ) {
		$myJson .= sprintf("'%s' : '%s'", addslashes($k), addslashes($v) );
		if( $count < sizeof( $arr ) -1 )$myJson .= ", ";
		$count += 1;
	}
	$myJson .= "}";			
	
	return $myJson;
}

//	Setup a JSON response array
$response = array(
	'success' => false,
	'message' => 'No action taken',
	'overwrite' => false
);

//	Path to templates
$basePath = 'widgetbuilder/';


//	Load XML file
if( isset($_REQUEST['load']) ) {
	$filename = $_REQUEST['load'];
	$filename = $basePath . str_replace( array('/', '\\', '..'), array('','',''), $filename ) . '.xml';
	$fp = fopen( $filename, "r" );
	$xmlFileContents = fread($fp, filesize($filename));
	fclose( $fp );
	$response['message'] = $xmlFileContents;
	
	//	Output header, XML, and end program
	header('Content-type: text/xml');
	print "<?xml version=\"1.0\" ?>";
	print $xmlFileContents;	
	exit(1);
}

//	Save a file
if( isset($_REQUEST['namespace']) ) {
	$filename = str_replace( array('/', '\\', '..'), array('','',''), $_REQUEST['namespace'] );
	$baseFilename = $filename;
	$filename = $basePath . $filename;
	$overwrite = $_REQUEST['overwrite'];
	$usefile = true;
	
	//	Only save files that don't exist, unless the 'overwrite' variable is set.
	if( is_file( $filename . '.js' ) ) {
		if( ! $overwrite or $overwrite == 'false' ) {
			$usefile = false;	
			$response['message'] = 'File ' . $filename . ' already exists! Do you want to overwrite this file?';
			$response['success'] = false;
			$response['overwrite'] = true;
		}
	}
	
	if( $usefile ) {
	
		function getData( $dataKey ) {
			//	Plusses are not encoded properly - this hack fixes it for now.
			$data = str_replace( "+", "___PLUS___", $_REQUEST[$dataKey] );
			$data = urldecode( $data );
			$data = str_replace( "___PLUS___", "+", $data );
			return $data;
		}
		
		//	get the various parts of the XML file we want to save
		$namespace = getData( 'namespace' );
		$namespaceRAW = $_REQUEST['namespace'];
		$modelData = getData( 'model' );
		$modelDataRAW = $_REQUEST['model'];
		$viewData = getData( 'view' );
		$viewDataRAW = $_REQUEST['view'];
		$controllerData = getData( 'controller' );
		$controllerDataRAW = $_REQUEST['controller'];
		$htmlSource = getData( 'htmlSource' );
		$htmlSourceRAW = $_REQUEST['htmlSource'];
		$scriptSource = getData( 'scriptSource' );
		$scriptSourceRAW = $_REQUEST['scriptSource'];
		
		//	In the output, we create the files, and return a link to the generated example file		
		$tpl = new Template();
		$tpl->set( 'namespace', $namespace );
		$tpl->set( 'model', $modelData );
		$tpl->set( 'view', $viewData );
		
		//	Parse the controller, as it needs the namespace; others may need this in the future
		$cTpl = new Template();
		$cTpl->set( 'namespace', $namespace );
		$tpl->set( 'controller', $cTpl->parse( $controllerData ) );
		
		//	File names
		$jsFile = $filename . '.js';
		$jsExampleFile = $filename . '.example.js';
		$htmFile = $filename . '.htm';
		$xmlFile = $filename . '.xml';
		
		//	Output the JS file.
		$fp = fopen( $jsFile, 'w' );
		fwrite( $fp, $tpl->getContent( $basePath . 'widgetbuilder_js_template.tpl' ) );
		fclose( $fp );
		
		//	Output html file
		$hTpl = new Template();
		$hTpl->set( 'body', $htmlSource );
		$hTpl->set( 'script', $scriptSource );
		$hTpl->set( 'source', $baseFilename . '.js' );
		$fp = fopen( $htmFile, 'w' );
		fwrite( $fp, $hTpl->getContent( $basePath . 'widgetbuilder_htm_template.tpl' ) );
		fclose( $fp );
		
		//	Output the XML (source) file - it should have the individual parts encoded
		$xTpl = new Template();
		$xTpl->set( 'namespace', $namespaceRAW );
		$xTpl->set( 'htmlSource', $htmlSourceRAW );
		$xTpl->set( 'scriptSource', $scriptSourceRAW );
		$xTpl->set( 'model', $modelDataRAW );
		$xTpl->set( 'view', $viewDataRAW );
		$xTpl->set( 'controller', $controllerDataRAW );
		$fp = fopen( $xmlFile, 'w' );
		fwrite( $fp, $xTpl->getContent( $basePath . 'widgetbuilder_xml_template.tpl' ) );
		fclose( $fp );
		
		$response['message'] = 'Saved file: ' . $xmlFile . ', and generated example files.';
		$response['exampleURL'] = $htmFile;
		$response['success'] = true;
	}
		
} else {
	if( ! isset($_REQUEST['namespace']) ) {
		$response['message'] .= ' No namespace';
	}
	$response['success'] = false;
}

print array2json( $response );
?>