<?php
// These headers are compulsory, to avoid data caching.
header("Cache-Control: no-cache");
header("Pragma: nocache");

//  This JSON conversion method is a poor hack job, though it adequately demonstrates how things should work, in case we don't have php 5.2+
function arrayToJSON( $arr ) {
	$jsonArray = array(); 

	// Replace "bad" with "good" chars  
	$badChars = array(  "\n",   "\r",   "\"" );  
	$goodChars = array( "\\n",  "\\r",  "\\\"" );  
	
	$isNumberKeyArray = false;

	foreach( $arr as $k => $v ) {
		if( is_numeric( $k ) )$isNumberKeyArray = true;

		$myKey = str_replace(   $badChars, $goodChars, addslashes( $k ) );
		$myValue = str_replace( $badChars, $goodChars, addslashes( $v ) );

		if( $isNumberKeyArray )$jsonArray[$myKey] = arrayToJSON( $v );
		else if( is_array( $v ) )$jsonArray[$myKey] = "\"" . $myKey . "\"" . ": " .arrayToJSON( $v );
		else $jsonArray[$myKey] = "\"" . $myKey . "\"" . ": \"" . $myValue . "\"";  
	}
	
	if( $isNumberKeyArray )return "[" . join( ", ", $jsonArray ) . "]";
	else return "{" . join( ", ", $jsonArray ) . "}";
}  

// Returns a valid ajax response, with specific format: { data: {}, error: bool, message: string }  
function jsonResponse( $response ) {  
	$myResponse = array( "data" => "", "error" => false, "message" => "" );  
	foreach( $response as $k => $v )$myResponse[$k] = $v;     
	return arrayToJSON( $myResponse );  
}  

// Fake data - would usually be loaded from a database.
$data = array(
	array( 'id' => '1', 'name' => 'John Smith', 'country' => 'Germany', 'level' => '1', 'notes' => 'my Note!', 'joinDate' => '01-08-2007' ),
	array( 'id' => '2', 'name' => 'Bob Smith', 'country' => 'Germany', 'level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-02-2007' ),
	array( 'id' => '3', 'name' => 'Wayne Jones', 'country' => 'USA', 'level' => '2', 'notes' => 'my Note!', 'joinDate' => '11-01-2007' ),
	array( 'id' => '4', 'name' => 'David Lann', 'country' => 'England', 'level' => '3', 'notes' => 'my Note!', 'joinDate' => '17-02-2007' ),
	array( 'id' => '5', 'name' => 'Ivan Log', 'country' => 'Wales', 'level' => '4', 'notes' => 'my Note!', 'joinDate' => '22-03-2007' ),
	array( 'id' => '6', 'name' => 'June Maybridge', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '17-08-2007' ),
	array( 'id' => '7', 'name' => 'Jerry Suzuki', 'country' => 'Poland', 'level' => '1', 'notes' => 'my Note!', 'joinDate' => '22-08-2007' ),
	array( 'id' => '8', 'name' => 'Chris Powers', 'country' => 'Australia','level' => '5', 'notes' => 'my Note!', 'joinDate' => '23-08-2007' ),
	array( 'id' => '9', 'name' => 'Maria Babminton', 'country' => 'Malta', 'level' => '7', 'notes' => 'my Note!', 'joinDate' => '24-08-2007' ),
	array( 'id' => '10', 'name' => 'Emma Cassini', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '25-08-2007' ),
	array( 'id' => '11', 'name' => 'John Cassini', 'country' => 'Australia','level' => '3', 'notes' => 'my Note!', 'joinDate' => '26-08-2007' ),
	array( 'id' => '12', 'name' => 'Annette Cassini', 'country' => 'Australia','level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '13', 'name' => 'Tony Lime', 'country' => 'New Zealand', 'level' => '9', 'notes' => 'my Note!', 'joinDate' => '28-08-2007' ),
	array( 'id' => '14', 'name' => 'Bartholomew Cunningham', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '29-08-2007' ),
	array( 'id' => '15', 'name' => 'Jorge Gonzales', 'country' => 'Brazil', 'level' => '5', 'notes' => 'my Note!', 'joinDate' => '30-08-2007' ),
	array( 'id' => '16', 'name' => 'Geraldine Ivanavic', 'country' => 'Latvia', 'level' => '5', 'notes' => 'my Note!', 'joinDate' => '31-08-2007' ),
	array( 'id' => '17', 'name' => 'Joan Cass', 'country' => 'Botswana','level' => '4', 'notes' => 'my Note!', 'joinDate' => '01-03-2007' ),
	array( 'id' => '18', 'name' => 'Paul Tenovi', 'country' => 'England', 'level' => '1', 'notes' => 'my Note!', 'joinDate' => '02-03-2007' ),
	array( 'id' => '19', 'name' => 'Alex Floyd', 'country' => 'Australia','level' => '3', 'notes' => 'my Note!', 'joinDate' => '03-03-2007' ),
	array( 'id' => '20', 'name' => 'Timothy Mend', 'country' => 'Australia','level' => '3', 'notes' => 'my Note!', 'joinDate' => '04-03-2007' ),
	array( 'id' => '21', 'name' => 'Jerry Navsland', 'country' => 'New Zealand','level' => '2', 'notes' => 'my Note!', 'joinDate' => '05-03-2007' ),
	array( 'id' => '22', 'name' => 'Bob Smith', 'country' => 'Germany', 'level' => '2', 'notes' => 'my Note!', 'joinDate' => '06-03-2007' ),
	array( 'id' => '23', 'name' => 'Wayne Jones', 'country' => 'USA', 'level' => '2', 'notes' => 'my Note!', 'joinDate' => '07-03-2007' ),
	array( 'id' => '24', 'name' => 'David Lann', 'country' => 'England', 'level' => '3', 'notes' => 'my Note!', 'joinDate' => '08-03-2007' ),
	array( 'id' => '25', 'name' => 'Ivan Log', 'country' => 'Wales', 'level' => '4', 'notes' => 'my Note!', 'joinDate' => '09-03-2007' ),
	array( 'id' => '26', 'name' => 'June Maybridge', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '10-04-2007' ),
	array( 'id' => '27', 'name' => 'Jerry Suzuki', 'country' => 'Poland', 'level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-04-2007' ),
	array( 'id' => '28', 'name' => 'Chris Powers', 'country' => 'Australia','level' => '5', 'notes' => 'my Note!', 'joinDate' => '27-04-2007' ),
	array( 'id' => '29', 'name' => 'Maria Babminton', 'country' => 'Malta', 'level' => '7', 'notes' => 'my Note!', 'joinDate' => '27-04-2007' ),
	array( 'id' => '30', 'name' => 'Emma Cassini', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-04-2007' ),
	array( 'id' => '31', 'name' => 'John Cassini', 'country' => 'Australia','level' => '3', 'notes' => 'my Note!', 'joinDate' => '27-04-2007' ),
	array( 'id' => '32', 'name' => 'Annette Cassini', 'country' => 'Australia','level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '33', 'name' => 'Tony Lime', 'country' => 'New Zealand', 'level' => '9', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '34', 'name' => 'Bartholomew Cunningham', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '35', 'name' => 'Jorge Gonzales', 'country' => 'Brazil', 'level' => '5', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '36', 'name' => 'Geraldine Ivanavic', 'country' => 'Latvia', 'level' => '5', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '37', 'name' => 'Joan Cass', 'country' => 'Botswana','level' => '4', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '38', 'name' => 'Paul Tenovi', 'country' => 'England', 'level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '39', 'name' => 'Alex Floyd', 'country' => 'Australia','level' => '8', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '40', 'name' => 'Timothy Mend', 'country' => 'Australia','level' => '3', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '41', 'name' => 'John Smith', 'country' => 'Germany', 'level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '42', 'name' => 'Bob Smith', 'country' => 'Germany', 'level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '43', 'name' => 'Wayne Jones', 'country' => 'USA', 'level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '44', 'name' => 'David Lann', 'country' => 'England', 'level' => '3', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '45', 'name' => 'Ivan Log', 'country' => 'Wales', 'level' => '4', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '46', 'name' => 'June Maybridge', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '47', 'name' => 'Jerry Suzuki', 'country' => 'Poland', 'level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '48', 'name' => 'Chris Powers', 'country' => 'Australia','level' => '5', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '49', 'name' => 'Maria Babminton', 'country' => 'Malta', 'level' => '7', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '50', 'name' => 'Emma Cassini', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '51', 'name' => 'John Cassini', 'country' => 'Australia','level' => '3', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '52', 'name' => 'Annette Cassini', 'country' => 'Australia','level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '53', 'name' => 'Tony Lime', 'country' => 'New Zealand', 'level' => '9', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '54', 'name' => 'Bartholomew Cunningham', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '55', 'name' => 'Jorge Gonzales', 'country' => 'Brazil', 'level' => '5', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '56', 'name' => 'Geraldine Ivanavic', 'country' => 'Latvia', 'level' => '5', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '57', 'name' => 'Joan Cass', 'country' => 'Botswana','level' => '4', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '58', 'name' => 'Paul Tenovi', 'country' => 'England', 'level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '59', 'name' => 'Alex Floyd', 'country' => 'Australia','level' => '8', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '60', 'name' => 'Timothy Mend', 'country' => 'Australia','level' => '3', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '61', 'name' => 'John Smith', 'country' => 'Germany', 'level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '62', 'name' => 'Bob Smith', 'country' => 'Germany', 'level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '63', 'name' => 'Wayne Jones', 'country' => 'USA', 'level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '64', 'name' => 'David Lann', 'country' => 'England', 'level' => '3', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '65', 'name' => 'Ivan Log', 'country' => 'Wales', 'level' => '4', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '66', 'name' => 'June Maybridge', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '67', 'name' => 'Jerry Suzuki', 'country' => 'Poland', 'level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '68', 'name' => 'Chris Powers', 'country' => 'Australia','level' => '5', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '69', 'name' => 'Maria Babminton', 'country' => 'Malta', 'level' => '7', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '70', 'name' => 'Emma Cassini', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '71', 'name' => 'John Cassini', 'country' => 'Australia','level' => '3', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '72', 'name' => 'Annette Cassini', 'country' => 'Australia','level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '73', 'name' => 'Tony Lime', 'country' => 'New Zealand', 'level' => '9', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '74', 'name' => 'Bartholomew Cunningham', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '75', 'name' => 'Jorge Gonzales', 'country' => 'Brazil', 'level' => '5', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '76', 'name' => 'Geraldine Ivanavic', 'country' => 'Latvia', 'level' => '5', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '77', 'name' => 'Joan Cass', 'country' => 'Botswana','level' => '4', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '78', 'name' => 'Paul Tenovi', 'country' => 'England', 'level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '79', 'name' => 'Alex Floyd', 'country' => 'Australia','level' => '8', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '80', 'name' => 'Timothy Mend', 'country' => 'Australia','level' => '3', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '81', 'name' => 'John Smith', 'country' => 'Germany', 'level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '82', 'name' => 'Bob Smith', 'country' => 'Germany', 'level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '83', 'name' => 'Wayne Jones', 'country' => 'USA', 'level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '84', 'name' => 'David Lann', 'country' => 'England', 'level' => '3', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '85', 'name' => 'Ivan Log', 'country' => 'Wales', 'level' => '4', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '86', 'name' => 'June Maybridge', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '87', 'name' => 'Jerry Suzuki', 'country' => 'Poland', 'level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '88', 'name' => 'Chris Powers', 'country' => 'Australia','level' => '5', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '89', 'name' => 'Maria Babminton', 'country' => 'Malta', 'level' => '7', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '90', 'name' => 'Emma Cassini', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '91', 'name' => 'John Cassini', 'country' => 'Australia','level' => '3', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '92', 'name' => 'Annette Cassini', 'country' => 'Australia','level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '93', 'name' => 'Tony Lime', 'country' => 'New Zealand', 'level' => '9', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '94', 'name' => 'Bartholomew Cunningham', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '95', 'name' => 'Jorge Gonzales', 'country' => 'Brazil', 'level' => '5', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '96', 'name' => 'Geraldine Ivanavic', 'country' => 'Latvia', 'level' => '5', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '97', 'name' => 'Joan Cass', 'country' => 'Botswana','level' => '4', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '98', 'name' => 'Paul Tenovi', 'country' => 'England', 'level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '99', 'name' => 'Alex Floyd', 'country' => 'Australia','level' => '8', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '100', 'name' => 'Timothy Mend', 'country' => 'Australia','level' => '3', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '101', 'name' => 'John Smith', 'country' => 'Germany', 'level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '102', 'name' => 'Bob Smith', 'country' => 'Germany', 'level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '103', 'name' => 'Wayne Jones', 'country' => 'USA', 'level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '104', 'name' => 'David Lann', 'country' => 'England', 'level' => '3', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '105', 'name' => 'Ivan Log', 'country' => 'Wales', 'level' => '4', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '106', 'name' => 'June Maybridge', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '107', 'name' => 'Jerry Suzuki', 'country' => 'Poland', 'level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '108', 'name' => 'Chris Powers', 'country' => 'Australia','level' => '5', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '109', 'name' => 'Maria Babminton', 'country' => 'Malta', 'level' => '7', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '110', 'name' => 'Emma Cassini', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '111', 'name' => 'John Cassini', 'country' => 'Australia','level' => '3', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '112', 'name' => 'Annette Cassini', 'country' => 'Australia','level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '113', 'name' => 'Tony Lime', 'country' => 'New Zealand', 'level' => '10', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '114', 'name' => 'Bartholomew Cunningham', 'country' => 'Australia','level' => '2', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '115', 'name' => 'Jorge Gonzales', 'country' => 'Brazil', 'level' => '5', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '116', 'name' => 'Geraldine Ivanavic', 'country' => 'Latvia', 'level' => '5', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '117', 'name' => 'Joan Cass', 'country' => 'Botswana','level' => '4', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '118', 'name' => 'Paul Tenovi', 'country' => 'England', 'level' => '1', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '119', 'name' => 'Alex Floyd', 'country' => 'Australia','level' => '8', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' ),
	array( 'id' => '120', 'name' => 'Timothy Mend', 'country' => 'Australia','level' => '3', 'notes' => 'my Note!', 'joinDate' => '27-08-2007' )
);

$offset = (isset( $_REQUEST['offset']) )? $_REQUEST['offset'] : 0;
$limit = (isset( $_REQUEST['limit']) )? $_REQUEST['limit'] : 5;
$sort = (isset( $_REQUEST['sort']) )? strtolower($_REQUEST['sort'] ) : 'id';
$sortDirection = (isset( $_REQUEST['sortDirection']) )? $_REQUEST['sortDirection'] : 'SORT_ASC';
$search = (isset( $_REQUEST['search']) )? $_REQUEST['search'] : '';

//	If the search is not empty, remove any columns that don't match. We're assuming the name is being searched on
if( $search <> '' ) {
	$newData = array();
	foreach ($data as $row) {
		if( ! ( strpos( $row['name'], $search ) === false ) )$newData[ sizeof( $newData ) ] = $row;
	}
	$data = $newData;
}

$col = array();

foreach ($data as $key => $row)$col[$key] = $row[$sort];	// Obtain a list of columns to sort by
if( $sortDirection == 'SORT_ASC' ) {
	array_multisort($col, SORT_ASC, $data);					// Sort the data ascendingly
} else if( $sortDirection == 'SORT_DESC' ) {
	array_multisort($col, SORT_DESC, $data);				// Sort the data decendingly
}

$response = array();
$response['data'] = array();

$endData = $offset + $limit;
$getData = true;

$response['pages'] = ( $limit > 0 )? ceil( sizeof($data) / $limit ) + 1 : 1;	//	Set the pages count

if( $endData > sizeof($data) ) {
	// Reached too far - let the client know
	$response['offsetEnd'] = round((sizeof($data) / $limit), 0 ) - 1;
	if( $response['offsetEnd'] < 0 )$response['offsetEnd'] = 0;
	// This will always return a data set of size $limit.
	$offset = sizeof($data) - $limit;
	$endData = sizeof($data);
	$getData = false;
}

if( $offset < 0 )$offset = 0;
if( $offset < $endData )$getData = true;

if( $getData )for( $x = $offset; $x < $endData; $x++ )$response['data'][$x] = $data[$x];

print jsonResponse( $response );

?>