/*	This displays a button that will displat the contents of a list of syntax highlighted external files

	Example:
	
		pax.load.onloaded( function() {
			show_example_sources( 'src_buttons1', { 
				'demo_datepicker.htm': 'html4strict', 
				'demo_datepicker.js': 'JavaScript' 
			} );
		} );
*/
function show_example_sources( element, sources, inline, showElement ) {

	var tpl = "\
		<button id='toggleSource_[:= id :]' style='height: 30px;'>Show source <img src='../pax/resource/img/arrow_down_red.png' style='margin-top: 3px;'/></button>\
		<div id='example_[:= id :]_source' style='display: none; border: 8px solid #fff; background-color: #fff; padding: 4px;'></div>\
	";

	var id = pax.getNextId();
	pax.template.render( tpl, { value: { id: id }, target: $( element ) } );
	var showButton = 'toggleSource_' + id;	
	var outputID = ( showElement )? showElement: 'example_' + id + '_source';

	//	Function to show / hide the JS source
	var originalScriptStyle = false;
	
	pax.event.bind( $( showButton ), 'click', function( e ) {
		var myButton = this;
		var box = $( outputID );
		var type = 'source';

		if( box.style.display == 'none' ) {
			if( ! inline ) {
				box.innerHTML = '';
				//	Use GET, so that the script is cached by the browser
				pax.get( '../examples/syntax.highlight.php?file=' + pax.util.toString( sources ), function( xml, txt, url ) {
					box.innerHTML += txt;
					if( ! originalScriptStyle ) {
						//	Get the size of the box; we show it to do that, if we get flikers here, simply set transparency to 100% before showing box.
						box.style.display = '';
						originalScriptStyle = pax.util.getPosition( box );
						box.style.display = 'none';
					}
					box.style.overflow = 'hidden';
					pax.fx.init( outputID, 'reveal', { endSize: originalScriptStyle['height'] }, 500 );
					myButton.innerHTML = "Hide " + type + " <img src='../pax/resource/img/arrow_up_red.png' style='margin-top: 2px;'/>";
				} );
			} else {
				if( ! originalScriptStyle ) {
					box.style.display = '';
					originalScriptStyle = pax.util.getPosition( box );
					box.style.display = 'none';
				}
				box.style.overflow = 'hidden';
				pax.fx.init( outputID, 'reveal', { endSize: originalScriptStyle['height'] }, 500 );
				myButton.innerHTML = "Hide " + type + " <img src='../pax/resource/img/arrow_up_red.png' style='margin-top: 2px;'/>";
			}
		} else {
			pax.fx.init( outputID, 'reveal', { endSize: originalScriptStyle['height'] }, 500, false, function() {
				box.style.display = 'none';
				box.style.height = 0;
			} );
			myButton.innerHTML = "Show " + type + " <img src='../pax/resource/img/arrow_down_red.png' style='margin-top: 2px;'/>";
		}
	} );
};