<?php

require_once( "geshi/highlight.php" );

$lan = $_REQUEST['lan'];
$file = $_REQUEST['file'];
$source = $_REQUEST['source'];

//	Check if we're running from the command line
if( $source == "" and $file == "" ) {
	$file = $argv[1];
	$lan = $argv[2];
}


function showFiles( $list ) {
	$output = "";
	foreach( $list as $file => $lan ) {
		// Restrict files to the examples directory only.
		$file = str_replace( '\\', '', $file );
		$file = str_replace( '/', '', $file );
		$myFile = "../examples/" . $file;
		if( is_file( $myFile ) ) {
			//	Print highlight file, without line numbers
			$output .= "<fieldset title='" . $file . "'><legend>" . $file . "</legend>";
			$output .= highlightFile( $myFile, $lan, false );
			$output .= "</fieldset><br/>";			
		} else {
			$output .= "File <b>" . $myFile . "</b> not found.";
		}
	}
	return $output;
	
}


// Check if it is a regular file, otherwise print error
if( $file <> '' ) {

	//	If we have a JSON object, it must be in the form: { 'file': 'language', ... }
	$list = json_decode( stripslashes($file) );
	if( is_string( $list ) )$list = array( $list => $lan );
	
	print showFiles( $list );
	
} else {
	if( $source <> '' ) {
		//	Highlight the given source
		print highlight( $source, $lan, 1, true, false );

	} else {
		//	print "No source of file specified.";
	}
}
?>