/*
	PAX Validation dictionary
*/
valDict = {
	'firstName': {
		mask: [ 
			{ mask: 'len', minLen: '2', maxLen: '20' } 
		],
		hint: 'First name is not necessary, however it must be at least 2 chars, and no more than 20 chars, if entered' 
	},
	'logon': {
		mask: [
			{ mask: 'len', minLen: 3 },
			{ mask: 'alphaNumeric' },
			{ mask: 'ajaxValidate', method: 'logon'	},
			{ mask: 'notEmpty' },
		],
		hint: 'logon must be at least 3 chars, and is validated via the server to ensure it is available. Try characters such as <b>%</b>, or <b>john</b> to see it in action.' 
	},
	'email': { 
		mask: [
			{ mask: 'email' },
			{ mask: 'notEmpty' }
		],
		hint: 'The email address is mandatory, and must be a valid email address' 
	}
};

pax.load.onloaded( function() {
	pax.validate.initValidation( 'valForm', valDict );	//	Iinitialise form validation
} );